<center><h1>Liste des commandes</h1></center>
<?php
// requête de sélection de toutes les commandes
// si on a des résultats
$sql="select * from commande";
$conditions= " where 1 ";

// si filtres
/*
	exemple filtre sur id
	$conditions .= " and id=$id ";
*/
$sql.= $conditions;
$req=$idBase->query($sql);
if ($req->rowCount()>0)
{
?>
<div class="row form-group">
	<div class="col col-md-1"></div>
    <div class="col col-md-10 ">
    	<table class="table table-bordered table-striped mb-none"  id="maTable">
    		<!-- entete du tableau -->
			<thead>
				<tr>
					<th>Id commande</th>
					<th>Nom Client</th>
					<th>Date</th>
					<th>Détail</th>
				</tr>
			</thead>
			<tbody>
	<?php
		// tant que j'ai un résultat
		while ($res=$req->fetch())
		{
			echo "<tr>";
			// affichage de l'id, du nom client, et de la date
			echo "<td>".$res["id"]."</td><td>".$res["nom_client"]."</td><td>".date_format(new Datetime($res["date"]),"d/m/Y")."</td>";
			$listeKebabs="";
			// récupération de tous les kébabs de la commande
			// pour cela on fait une requête avec jointure où on sélectionne les kébabs pour la commande en cours (identifiée par res["id"])
			$reqD=$idBase->query("select nom,nb from commande_type_kebab ctk 
									inner join type_kebab tk on tk.id=ctk.id_type_kebab 
									where id_commande=".$res["id"]);
			// tant que j'ai un kébab dans ma liste
			while ($resD=$reqD->fetch())
			{
				// si j'ai au moins 1 kébab je le concantène à me liste
				if ($resD["nb"]>0)
				$listeKebabs.=$resD["nom"]."(".$resD["nb"].")<br>";
			}
			// affichage de la liste
			echo "<td>$listeKebabs</td>";
			echo "</tr>";
		}
	?>
			</tbody>
		</table>
	</div>
	<div class="col col-md-1"></div>
</div>
<?php
}
// si on n'a pas de résultats
else
{
	echo '<div class="alert alert-danger">Aucune commande à afficher</div>';
}
echo "<div class='row'>";
setBouton("6","info","fa-home","Retour accueil","index.php");
setBouton("6","success","fa-plus","Nouvelle commande","index.php?startCommande=on");
echo "</div>";
?>
